.tg.main
	display: block // IE 11 fix
	padding: $grid ($grid * 2)

	+respond-to(small)
		padding: $grid

	// Emulate Bootstrap 2 grid

	&.-default .portlet-layout.row-fluid
		+row

		@for $i from 1 through 12
			> .span#{$i}
				+column(percentage( $i / 12 ), medium)
				margin: 0

		+respond-to(medium)
			[class*='span'] + [class*='span']
				border-top: $border-width solid $border-color
				margin-top: $grid
				padding-top: ($grid - $border-width)

	&.-highlight-sidebar .portlet-layout.row-fluid
		+row(true)

		@for $i from 1 through 11 // NOTE: span12 cannot have a sidebar
			> .span#{$i}
				+column(percentage( $i / 12 ), medium, true)
				margin: 0

		// Highlight columns with width < 50% ("sidebar") if theme switch is set
		@for $i from 1 through 5
			> .span#{$i}
				background: darken($aside-bg-color, 3)
				border-top: $border-width solid $border-color
				border-bottom: $border-width solid $border-color
				box-shadow: $border-width 0 $border-color inset, 0 0 $grid rgba(#000, .06) inset
				margin: (-$grid - $border-width) 0
				padding-top: $grid
				padding-bottom: $grid
				text-shadow: 0 1px 0 rgba(#fff, .8)

				+ div
					box-shadow: (-$border-width) 0 $border-color inset

				.tg.breadcrumbs + &
					padding-top: ($grid * 2)
					margin-top: (-$grid * 2 - $border-width)

		+respond-to(medium)
			[class*='span'] + [class*='span']
				margin-top: ($grid - $border-width)
				padding-top: $grid

	> .column-1
		+row

		.portlet
			+column
